Subject: Re: [PATCH net-next 01/10] net: bridge: add document for IFLA_BR enum

From: Jakub Kicinski <[email-masked]>
Date: Tue, 21 Nov 2023 08:21:27 -0800

On Tue, 21 Nov 2023 11:28:30 +0800 Hangbin Liu wrote:
> Thanks for this info. Will the YAML spec be build by the document team?
> I'd prefer all the doc shows in https://www.kernel.org/doc/html/latest/
> so users could find the doc easily.

That's the plan, it will render under ${base}/networking/netlink_spec/

> It would be good if there is an example in Documentation/netlink/specs/ (when
> the patch applied) so I can take as a reference :)

All the operations, attributes etc in the spec accept a "doc" property.
The html output is just a rendering of those doc strings.
So the existing specs are already kind of examples, although they don't
have doc strings in very many places so the output looks a bit empty :(